import dayjs from "dayjs";

const INVALID_DATE = "N/A";

/** 格式化日期时间 */
export function formatDateTime(
  datetime: string | number | Date = "",
  template: string = "YYYY-MM-DD HH:mm:ss",
) {
  const day = dayjs(datetime);
  return day.isValid() ? day.format(template) : INVALID_DATE;
}

export function getSpecificDate(val: Date) {
  let endY = val.getFullYear();
  let endM = val.getMonth() + 1;
  let endD = val.getDate();
  let enddate =
    endY +
    "-" +
    (endM < 10 ? "0" + endM : endM) +
    "-" +
    (endD < 10 ? "0" + endD : endD);
  return enddate;
}
